

#ifndef CAFFEINE_BRIEFING
#define CAFFEINE_BRIEFING

#include "default.h"
#include "input.h"
#include "texture.h"

class CBriefing
{
    public:
        static CBriefing* Get()
        {
            if(!Instance)
                Instance = new CBriefing;
            return Instance;
        };

        void Init(char *File);
		void Display();
		void Unload();

    protected:
        CBriefing() {};

        ~CBriefing()
        {
            if(Instance)
                delete Instance;
            Instance = 0;
        };

    private:
        static CBriefing *Instance;

		char *Message;
		CTexture Background;
};

#endif
