

#ifndef CAFFEINE_FONT
#define CAFFEINE_FONT

#include "default.h"
#include "texture.h"

class CFont
{
	public:
		CFont();
		CFont(char *font_file, char *font_desc_file);
		~CFont();

	public:
		void Load(char *font_file, char *font_desc_file);
		void DrawText(int x, int y, char *in_string, ...);
		void SetSize(unsigned int size);
		void SetColor(unsigned char red, unsigned char green, unsigned char blue, short alpha);

	private:
		char *TextureFile;
			CTexture Texture;

		char *DescFile;
			int CellPadding;
			int CellWidth;
			int CellHeight;
			int CharWidth;
			int CharHeight;

		fstream UtilityFileStream;

		int Size;

		int X;
		int Y;

		unsigned char Color[3];  //[R G B]
		unsigned char Alpha;     //[A]
};

#endif