
#ifndef CAFFEINE_LEVEL
#define CAFFEINE_LEVEL

class CPlayer;

#include "default.h"
#include "constants.h"
#include "node.h"
#include "object.h"
#include "md2.h"
#include "enemy.h"
#include "player.h"
#include "camera.h"
#include "terrain.h"
#include "audio.h"
#include "sky.h"

#include "particle.h"

class CLevel  // this is poorly engineered. 
{             // excuse it.

	public:
		CLevel();
		~CLevel();
		void Load(char *LevelFile);
		void Unload();
		int Draw(CCamera *camera);

		CTerrain *GetTerrain() { return Terrain; };
		float GetHeight(float x, float z);
	
	private:
		CTerrain *Terrain;
		CSky *Sky;

		int NumEnemies;
		CMD2Model *EnemyModel;
		CEnemy *EnemyList;
		CObject *ObjectList;

		HSTREAM LevelMusic;
		HSTREAM Background;
};

#endif
