

#ifndef CAFFEINE_CUTSCENE_TWO
#define CAFFEINE_CUTSCENE_TWO

#include "default.h"
#include "texture.h"
#include "engine.h"
#include "font.h"
#include "input.h"
#include "timer.h"

class CCutScene2
{
    public:
        static CCutScene2* Get()
        {
            if(!Instance)
                Instance = new CCutScene2;
            return Instance;
        };

        bool Draw();
		void Load();
		void Unload();

    protected:
        CCutScene2() {};

        ~CCutScene2()
        {
            if(Instance)
                delete Instance;
            Instance = 0;
        };

    private:
        static CCutScene2 *Instance;

		CEngine *Engine;

		float FrameTime;

		float FlashTime;

		float SceneLength;
		float RunningTime;
};

#endif
