
#include "glcrap.h"

PFNGLACTIVETEXTUREARBPROC glActiveTexture;
PFNGLMULTITEXCOORD2FARBPROC glMultiTexCoord2f;

void glCrapInit()
{
	glActiveTexture = 
		(PFNGLACTIVETEXTUREARBPROC)wglGetProcAddress("glActiveTextureARB");

	glMultiTexCoord2f = 
		(PFNGLMULTITEXCOORD2FARBPROC)wglGetProcAddress("glMultiTexCoord2fARB");

	if(!glActiveTexture || !glMultiTexCoord2f)
		Popup("Multitexturing not supported!  Continuing...");
}
