
#ifndef CAFFEINE_SKY
#define CAFFEINE_SKY

#include "default.h"
#include "texture.h"
#include "vector.h"
#include "camera.h"

class CSky
{
	public:
		CSky();
		CSky(char *TextureFile);
		~CSky() {};

		bool Load(char *TextureFile);
		void Draw(CCamera *camera);

	private:
		CTexture Texture;
		CVector Size;
		float Color[3];
};

#endif

